<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE overlay SYSTEM "chrome://externalip/locale/externalip.dtd">
<overlay id="externalip-overlay"
         xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
  <script src="overlay.js"/>
  <stringbundleset id="stringbundleset">
    <stringbundle id="externalip-strings" src="chrome://externalip/locale/externalip.properties"/>
  </stringbundleset>
<script type="application/x-javascript" src="chrome://externalip/content/getip.js" />



 <statusbar id="status-bar">
  	<statusbarpanel id="externalIP-panel" label="Loading ..." tooltiptext="Your current external IP address" context="ipMenu" />
 </statusbar>   
 
 <popupset id="mainPopupSet">
    <menupopup id="ipMenu">
      <menuitem label="Refresh IP Address" oncommand="update()"/>
      <menuitem label="Copy to Clipboard" oncommand="ip2clipboard()"/>
      <menuitem id="alert" type="checkbox" checked="false" label="Alert Me When IP Changes" oncommand="saveAlert(event)" />
      <menuseparator/>
      <menuitem label="Visit Homepage" oncommand="gotoURL()"/>
    </menupopup>
 </popupset>
</overlay>



